{
  "name": " ",
  "appid": "__UNI__ED0779D",
  "description": "",
  "versionName": "1.0.0",
  "versionCode": "100",
  "transformPx": false,
  "networkTimeout": {
    "request": 30000,
    "connectSocket": 10000,
    "uploadFile": 100000,
    "downloadFile": 10000
  },
  "h5": {
    "title": "",
    "publicPath": "/jsm-h5/",
    "devServer": {
      "https": false,
      "port": 3000,
      "open": true,
      "proxy": {
        "/api": {
          "target": "http://127.0.0.1:3001",
          "changeOrigin": true,
          "secure": false,
          "pathRewrite": {
            "^/api": ""
          }
        }
      }
    },
    "router": {
      "mode": "history",
      "base": "/jsm-h5/",
      "cache": {
        "mode": "path",
        "pages": []
      }
    },
    "optimization": {
      "prefetch": true,
      "preload": true,
      "treeShaking": {
        "enable": true
      }
    },
    "sdkConfigs": {
      // 使用地图或位置相关功能必须填写其一
      "maps": {
        "qqmap": {
          // 腾讯地图秘钥 https://lbs.qq.com/dev/console/key/manage
          "key": ""
        },
        "google": {
          // 谷歌地图秘钥（HBuilderX 3.2.10+）https://developers.google.com/maps/documentation/javascript/get-api-key
          "key": ""
        },
        "amap": {
          // 高德地图秘钥（HBuilderX 3.6.0+）https://console.amap.com/dev/key/app
          "key": "df9bfabcba60cc6e7ad45ae9923a682d",
          // 高德地图安全密钥（HBuilderX 3.6.0+）https://console.amap.com/dev/key/app
          "securityJsCode": "",
          // 高德地图安全密钥代理服务器地址（HBuilderX 3.6.0+）https://lbs.amap.com/api/jsapi-v2/guide/abc/prepare
          "serviceHost": "https://jiasm.zfire.top/_AMapService"
        }
      }
    }
  },
  // 使用地图或位置相关功能必须填写其一
  "mp-weixin": {
    /* 小程序特有相关 */
    "requiredPrivateInfos": ["chooseLocation", "getLocation", "chooseAddress"],
    "appid": "wx911583ecddef2439",
    "setting": {
      "urlCheck": false,
      "es6": true,
      "postcss": true,
      "minified": true,
      "preloadBackgroundData": false,
      "newFeature": true,
      "coverView": true,
      "autoAudits": false,
      "showShadowRootInWxmlPanel": true,
      "scopeDataCheck": false,
      "uglifyFileName": true,
      "checkInvalidKey": true,
      "checkSiteMap": true,
      "uploadWithSourceMap": true,
      "bigPackageSizeSupport": false /* 预览及真机调试时包体积上限是否调整为4M*/
    },
    "usingComponents": true,
    "optimization": {
      "subPackages": true
    },
    "permission": {
      "scope.userLocation": {
        "desc": "你的位置信息将用于小程序位置接口的效果展示"
      }
    }
  },
  "app-plus": {
    /* 5+App特有相关 */
    "usingComponents": false,
    "splashscreen": {
      "alwaysShowBeforeRender": false,
      "waiting": true,
      "autoclose": true,
      "delay": 0
    },
    "modules": {},
    /* 模块配置 */
    "distribute": {
      /* 应用发布信息 */
      "android": {
        /* android打包配置 */
        "permissions": [
          "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
          "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
          "<uses-permission android:name=\"android.permission.READ_CONTACTS\"/>",
          "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
          "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
          "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
          "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
          "<uses-permission android:name=\"android.permission.WRITE_CONTACTS\"/>",
          "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
          "<uses-permission android:name=\"android.permission.CAMERA\"/>",
          "<uses-permission android:name=\"android.permission.RECORD_AUDIO\"/>",
          "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
          "<uses-permission android:name=\"android.permission.MODIFY_AUDIO_SETTINGS\"/>",
          "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
          "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
          "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
          "<uses-permission android:name=\"android.permission.CALL_PHONE\"/>",
          "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
          "<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"/>",
          "<uses-feature android:name=\"android.hardware.camera\"/>",
          "<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\"/>",
          "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>"
        ]
      },
      "ios": {},
      /* ios打包配置 */
      "sdkConfigs": {}
    }
  },
  /* SDK配置 */
  "quickapp": {},
  /* 快应用特有相关 */
  "mp-alipay": {
    "usingComponents": true
  },
  "mp-baidu": {
    "usingComponents": false
  },
  "mp-toutiao": {
    "usingComponents": true
  },
  "mp-qq": {
    "usingComponents": true
  }
}
